diff --git a/ldap/servers/slapd/saslbind.c b/ldap/servers/slapd/saslbind.c
index 0914b97..c84fafc 100644
--- a/ldap/servers/slapd/saslbind.c
+++ b/ldap/servers/slapd/saslbind.c
@@ -150,7 +150,7 @@ static int ids_sasl_getopt(
 {
     unsigned tmplen;
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "ids_sasl_getopt: plugin=%s option=%s\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ids_sasl_getopt: plugin=%s option=%s\n",
               plugin_name ? plugin_name : "", option, 0);
 
     if (len == NULL) len = &tmplen;
@@ -195,7 +195,7 @@ static int ids_sasl_log(
     case SASL_LOG_TRACE:        /* traces of internal protocols */
     case SASL_LOG_PASS:         /* traces of internal protocols, including
                                  * passwords */
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl(%d): %s\n", level, message, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl(%d): %s\n", level, message, 0);
         break;
 
     case SASL_LOG_NONE:         /* don't log anything */
@@ -220,12 +220,12 @@ static void ids_sasl_user_search(
     Slapi_PBlock *pb = NULL;
     int i, ret;
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search basedn=\"%s\" filter=\"%s\"\n", basedn, filter, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search basedn=\"%s\" filter=\"%s\"\n", basedn, filter, 0);
 
     /* TODO: set size and time limits */
     pb = slapi_pblock_new();
     if (!pb) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "null pblock for search_internal_pb\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "null pblock for search_internal_pb\n", 0, 0, 0);
         goto out;
     }
 
@@ -236,7 +236,7 @@ static void ids_sasl_user_search(
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_RESULT, &ret);
     if (ret != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search failed basedn=\"%s\" "
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search failed basedn=\"%s\" "
                   "filter=\"%s\": %s\n", 
                   basedn, filter, ldap_err2string(ret));
         goto out;
@@ -244,7 +244,7 @@ static void ids_sasl_user_search(
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES, &entries);
     if ((entries == NULL) || (entries[0] == NULL)) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search found no entries\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search found no entries\n",
                   0, 0, 0);
         goto out;
     }
@@ -255,7 +255,7 @@ static void ids_sasl_user_search(
             slapi_entry_free(*ep);
         }
         *ep = slapi_entry_dup(entries[i]);
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search found dn=%s\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search found dn=%s\n",
                   slapi_entry_get_dn(*ep), 0, 0);
     }
 
@@ -292,11 +292,11 @@ static Slapi_Entry *ids_sasl_user_to_entry(
     /* Check for wildcards in the authid and realm. If we encounter one,
      * just fail the mapping without performing a costly internal search. */
     if (user && strchr(user, '*')) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search encountered a wildcard in "
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search encountered a wildcard in "
             "the authid.  Not attempting to map to entry. (authid=%s)\n", user, 0, 0);
         return NULL;
     } else if (user_realm && strchr(user_realm, '*')) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search encountered a wildcard in "
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search encountered a wildcard in "
             "the realm.  Not attempting to map to entry. (realm=%s)\n", user_realm, 0, 0);
         return NULL;
     }
@@ -310,13 +310,13 @@ static Slapi_Entry *ids_sasl_user_to_entry(
                                  ctrls, attrs, attrsonly,
                                  &entry, &found);
             if (found == 1) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search found this entry: dn:%s, "
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search found this entry: dn:%s, "
                     "matching filter=%s\n", entry->e_sdn.dn, filter, 0);
             } else if (found == 0) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search found no entries matching "
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search found no entries matching "
                     "filter=%s\n", filter, 0, 0);
             } else {
-                LDAPDebug(LDAP_DEBUG_TRACE, "sasl user search found more than one entry "
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl user search found more than one entry "
                     "matching filter=%s\n", filter, 0, 0);
                 if (entry) {
                     slapi_entry_free(entry);
@@ -378,7 +378,7 @@ static int ids_sasl_canon_user(
     if (user == NULL) {
         goto fail;
     } 
-    LDAPDebug(LDAP_DEBUG_TRACE, 
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
               "ids_sasl_canon_user(user=%s, realm=%s)\n", 
               user, user_realm ? user_realm : "", 0);
 
@@ -425,11 +425,11 @@ static int ids_sasl_canon_user(
      * property determines what the bind identity will be if authentication succeeds. */
     if (strcasecmp(mech, "ANONYMOUS") == 0) {
         if (prop_set(propctx, "dn", "", -1) != 0) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "prop_set(dn) failed\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "prop_set(dn) failed\n", 0, 0, 0);
             goto fail;
         }
     } else if (prop_set(propctx, "dn", dn, -1) != 0) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "prop_set(dn) failed\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "prop_set(dn) failed\n", 0, 0, 0);
         goto fail;
     }
 
@@ -442,7 +442,7 @@ static int ids_sasl_canon_user(
              * Any SASL mechanism that actually needs the
              * password is going to fail.  We should print a warning
              * to aid in troubleshooting. */
-            LDAPDebug(LDAP_DEBUG_TRACE, "Warning: Detected a sasl bind attempt by an "
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Warning: Detected a sasl bind attempt by an "
                       "entry whose password is stored in a non-cleartext format.  This "
                       "will not work for mechanisms which require a cleartext password "
                       "such as DIGEST-MD5 and CRAM-MD5.\n", 0, 0, 0);
@@ -463,13 +463,13 @@ static int ids_sasl_canon_user(
 #ifdef SASL_AUX_PASSWORD_PROP
         if (prop_set(propctx, SASL_AUX_PASSWORD_PROP, clear, -1) != 0) {
             /* Failure is benign here because some mechanisms don't support this property */
-            /*LDAPDebug(LDAP_DEBUG_TRACE, "prop_set(userpassword) failed\n", 0, 0, 0);
+            /*LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "prop_set(userpassword) failed\n", 0, 0, 0);
             goto fail */ ;
         }
 #endif /* SASL_AUX_PASSWORD_PROP */
         if (prop_set(propctx, SASL_AUX_PASSWORD, clear, -1) != 0) {
             /* Failure is benign here because some mechanisms don't support this property */
-            /*LDAPDebug(LDAP_DEBUG_TRACE, "prop_set(userpassword) failed\n", 0, 0, 0);
+            /*LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "prop_set(userpassword) failed\n", 0, 0, 0);
             goto fail */ ;
         }
     }
@@ -544,7 +544,7 @@ int ids_sasl_init(void)
     static int inited = 0;
     int result;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_init\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_init\n", 0, 0, 0 );
 
     PR_ASSERT(inited == 0);
     if (inited != 0) {
@@ -554,7 +554,7 @@ int ids_sasl_init(void)
 
     serverfqdn = get_localhost_DNS();
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "sasl service fqdn is: %s\n", 
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl service fqdn is: %s\n", 
                   serverfqdn, 0, 0);
 
     /* get component ID for internal operations */
@@ -577,14 +577,14 @@ int ids_sasl_init(void)
     result = sasl_server_init(ids_sasl_callbacks, "iDS");
 
     if (result != SASL_OK) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "failed to initialize sasl library\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "failed to initialize sasl library\n", 
                   0, 0, 0);
         return result;
     }
 
     result = sasl_auxprop_add_plugin("iDS", ids_auxprop_plug_init);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= ids_sasl_init\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ids_sasl_init\n", 0, 0, 0 );
 
     return result;
 }
@@ -599,7 +599,7 @@ void ids_sasl_server_new(Connection *conn)
     struct propctx *propctx;
     sasl_security_properties_t secprops = {0};
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_server_new (%s)\n", serverfqdn, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_server_new (%s)\n", serverfqdn, 0, 0 );
 
     rc = sasl_server_new("ldap", 
                          serverfqdn,
@@ -611,7 +611,7 @@ void ids_sasl_server_new(Connection *conn)
                          &sasl_conn);
 
     if (rc != SASL_OK) {
-        LDAPDebug(LDAP_DEBUG_ANY, "sasl_server_new: %s\n", 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_server_new: %s\n", 
                   sasl_errstring(rc, NULL, NULL), 0, 0);
     }
 
@@ -634,14 +634,14 @@ void ids_sasl_server_new(Connection *conn)
     rc = sasl_setprop(sasl_conn, SASL_SEC_PROPS, &secprops);
 
     if (rc != SASL_OK) {
-        LDAPDebug(LDAP_DEBUG_ANY, "sasl_setprop: %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_setprop: %s\n",
                   sasl_errstring(rc, NULL, NULL), 0, 0);
     }
     
     conn->c_sasl_conn = sasl_conn;
     conn->c_sasl_ssf = 0;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= ids_sasl_server_new\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ids_sasl_server_new\n", 0, 0, 0 );
 
     return;
 }
@@ -657,7 +657,7 @@ char **ids_sasl_listmech(Slapi_PBlock *pb)
     char *dupstr;
     sasl_conn_t *sasl_conn;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_listmech\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_listmech\n", 0, 0, 0 );
 
     PR_ASSERT(pb);
 
@@ -675,7 +675,7 @@ char **ids_sasl_listmech(Slapi_PBlock *pb)
                       NULL,     /* username */
                       "", ",", "",
                       &str, NULL, NULL) == SASL_OK) {
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl library mechs: %s\n", str, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl library mechs: %s\n", str, 0, 0);
         /* merge into result set */
         dupstr = slapi_ch_strdup(str);
         others = slapi_str2charray_ext(dupstr, ",", 0 /* don't list duplicate mechanisms */);
@@ -685,7 +685,7 @@ char **ids_sasl_listmech(Slapi_PBlock *pb)
     }
     PR_ExitMonitor(pb->pb_conn->c_mutex);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= ids_sasl_listmech\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ids_sasl_listmech\n", 0, 0, 0 );
 
     return ret;
 }
@@ -705,7 +705,7 @@ ids_sasl_mech_supported(Slapi_PBlock *pb, const char *mech)
   int sasl_result = 0;
   sasl_conn_t *sasl_conn = (sasl_conn_t *)pb->pb_conn->c_sasl_conn;
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_mech_supported\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_mech_supported\n", 0, 0, 0 );
 
 
   /* sasl_listmech is not thread-safe - caller must lock pb_conn */
@@ -730,7 +730,7 @@ ids_sasl_mech_supported(Slapi_PBlock *pb, const char *mech)
   charray_free(mechs);
   slapi_ch_free((void**)&dupstr);
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "<= ids_sasl_mech_supported\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ids_sasl_mech_supported\n", 0, 0, 0 );
 
   return ret;
 }
@@ -760,7 +760,7 @@ void ids_sasl_check_bind(Slapi_PBlock *pb)
     Slapi_Entry *bind_target_entry = NULL, *referral = NULL;
     Slapi_Backend *be = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_check_bind\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_check_bind\n", 0, 0, 0 );
 
     PR_ASSERT(pb);
     PR_ASSERT(pb->pb_conn);
@@ -810,11 +810,11 @@ void ids_sasl_check_bind(Slapi_PBlock *pb)
          */
         sasl_getprop(sasl_conn, SASL_MECHNAME, (const void**)&activemech);
         if (activemech == NULL) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "could not get active sasl mechanism\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "could not get active sasl mechanism\n", 0, 0, 0);
             goto sasl_start;
         }
         if (strcasecmp(activemech, mech) != 0) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "sasl mechanisms differ: active=%s current=%s\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl mechanisms differ: active=%s current=%s\n", 0, 0, 0);
             goto sasl_start;
         }
 
@@ -874,7 +874,7 @@ sasl_check_result:
             break;
         }
 
-        LDAPDebug(LDAP_DEBUG_TRACE, "sasl authenticated mech=%s user=%s\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl authenticated mech=%s user=%s\n",
                   mech, username, 0);
 
         /* 
@@ -906,7 +906,7 @@ sasl_check_result:
 
         if ((sasl_getprop(sasl_conn, SASL_SSF, 
                           (const void**)&ssfp) == SASL_OK) && (*ssfp > 0)) {
-            LDAPDebug(LDAP_DEBUG_TRACE, "sasl ssf=%u\n", (unsigned)*ssfp, 0, 0);
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl ssf=%u\n", (unsigned)*ssfp, 0, 0);
         } else {
             *ssfp = 0;
         }
@@ -961,7 +961,7 @@ sasl_check_result:
         if (slapi_mapping_tree_select(pb, &be, &referral, NULL, 0) != LDAP_SUCCESS) {
             send_nobackend_ldap_result( pb );
             be = NULL;
-            LDAPDebug( LDAP_DEBUG_TRACE, "<= ids_sasl_check_bind\n", 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ids_sasl_check_bind\n", 0, 0, 0 );
             return; 
         }
 
@@ -1064,7 +1064,7 @@ sasl_check_result:
         if (bind_target_entry)
             slapi_entry_free(bind_target_entry);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ids_sasl_check_bind\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ids_sasl_check_bind\n", 0, 0, 0 );
 
     return;
 }
diff --git a/ldap/servers/slapd/schema.c b/ldap/servers/slapd/schema.c
index 32a2bd6..8421244 100644
--- a/ldap/servers/slapd/schema.c
+++ b/ldap/servers/slapd/schema.c
@@ -745,7 +745,7 @@ slapi_entry_schema_check_ext( Slapi_PBlock *pb, Slapi_Entry *e, int repl_check )
 
   /* find the object class attribute - could error out here */
   if ( (aoc = attrlist_find( e->e_attrs, "objectclass" )) == NULL ) {
-    LDAPDebug( LDAP_DEBUG_ANY,
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 	       "Entry \"%s\" required attribute \"objectclass\" missing\n",
 	       slapi_entry_get_dn_const(e), 0, 0 );
 	if (pb) {
@@ -782,7 +782,7 @@ slapi_entry_schema_check_ext( Slapi_PBlock *pb, Slapi_Entry *e, int repl_check )
     ocname = slapi_value_get_string(v);
 
     if ( !ocname ) {
-	LDAPDebug( LDAP_DEBUG_ANY,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 	       "Entry \"%s\" \"objectclass\" value missing\n",
 	       slapi_entry_get_dn_const(e), 0, 0 );
 	if (pb) {
@@ -820,7 +820,7 @@ slapi_entry_schema_check_ext( Slapi_PBlock *pb, Slapi_Entry *e, int repl_check )
 		}
 	  }
 
-      LDAPDebug( LDAP_DEBUG_ANY,
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		 "Entry \"%s\" has unknown object class \"%s\"%s\n",
 		 slapi_entry_get_dn_const(e),
 		 escape_string(ocname, ebuf), extra_msg );
@@ -883,7 +883,7 @@ slapi_entry_schema_check_ext( Slapi_PBlock *pb, Slapi_Entry *e, int repl_check )
 	if ( slapi_attr_flag_is_set( a, SLAPI_ATTR_FLAG_SINGLE ) ) {
 	  if (slapi_valueset_count(&a->a_present_values) > 1)
 	    {
-          LDAPDebug( LDAP_DEBUG_ANY,
+          LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 	         "Entry \"%s\" single-valued attribute \"%s\" has multiple values\n",
 			 slapi_entry_get_dn_const(e),
 			 a->a_type, 0 );
@@ -937,7 +937,7 @@ oc_check_required( Slapi_PBlock *pb, Slapi_Entry *e, struct objclass *oc )
         /* not there => schema violation */
         if ( a == NULL ) {
             char errtext[ BUFSIZ ];
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "Entry \"%s\" missing attribute \"%s\" required"
                        " by object class \"%s\"\n",
                        slapi_entry_get_dn_const(e),
@@ -1008,7 +1008,7 @@ oc_check_allowed_sv(Slapi_PBlock *pb, Slapi_Entry *e, const char *type, struct o
     if ( 0 != rc ) {
       char errtext[ BUFSIZ ];
       char ebuf[ BUFSIZ ];
-      LDAPDebug( LDAP_DEBUG_ANY,
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
          "Entry \"%s\" -- attribute \"%s\" not allowed\n",
          slapi_entry_get_dn_const(e),
          escape_string( type, ebuf ),
@@ -1558,7 +1558,7 @@ schema_attr_enum_callback(struct asyntaxinfo *asip, void *arg)
 	vals[0] = &val;
 
 	if (!asip) {
-		LDAPDebug(LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"Error: no attribute types in schema_attr_enum_callback\n",
 				0, 0, 0);
 		return ATTR_SYNTAX_ENUM_NEXT;
@@ -1719,7 +1719,7 @@ schema_syntax_enum_callback(char **names, Slapi_PluginDesc *plugindesc,
 	}
 
 	if ( oid == NULL ) {	/* must have an OID */
-		LDAPDebug(LDAP_DEBUG_ANY, "Error: no OID found in"
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: no OID found in"
 				" schema_syntax_enum_callback for syntax %s\n",
 				( names == NULL ) ? "unknown" : names[0], 0, 0);
 		return 1;
@@ -1781,7 +1781,7 @@ schema_list_attributes_callback(struct asyntaxinfo *asi, void *arg)
         struct listargs *aew = (struct listargs *)arg;
 
         if (!asi) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Error: no attribute types in schema_list_attributes_callback\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: no attribute types in schema_list_attributes_callback\n",
                                   0, 0, 0);
                 return ATTR_SYNTAX_ENUM_NEXT;
         }
@@ -2941,7 +2941,7 @@ schema_replace_attributes ( Slapi_PBlock *pb, LDAPMod *mod, char *errorbuf,
 		if ( NULL == ( oldasip =
 					attr_syntax_get_by_oid( newasip->asi_oid, 0 ))) {
 			/* new attribute type */
-			LDAPDebug( LDAP_DEBUG_TRACE, "schema_replace_attributes:"
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "schema_replace_attributes:"
 					" new type %s (OID %s)\n",
 					newasip->asi_name, newasip->asi_oid, 0 );
 		} else {
@@ -2953,7 +2953,7 @@ schema_replace_attributes ( Slapi_PBlock *pb, LDAPMod *mod, char *errorbuf,
 				newasip = NULL;
 			} else {
 				/* modified attribute type */
-				LDAPDebug( LDAP_DEBUG_TRACE, "schema_replace_attributes:"
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "schema_replace_attributes:"
 						" replacing type %s (OID %s)\n",
 						newasip->asi_name, newasip->asi_oid, 0 );
 				/* flag for deletion */
@@ -3115,7 +3115,7 @@ schema_replace_objectclasses ( Slapi_PBlock *pb, LDAPMod *mod, char *errorbuf,
 				} else {
 					/* some differences: discard old and keep the new one */
 					oc_free( &tmpocp );
-					LDAPDebug( LDAP_DEBUG_TRACE, "schema_replace_objectclasses:"
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "schema_replace_objectclasses:"
 							" replacing object class %s (OID %s)\n", 
 							newocp->oc_name, newocp->oc_oid, 0 );
 					addocp = newocp;
@@ -3127,7 +3127,7 @@ schema_replace_objectclasses ( Slapi_PBlock *pb, LDAPMod *mod, char *errorbuf,
 		}
 
 		if ( NULL == addocp ) {
-			LDAPDebug( LDAP_DEBUG_TRACE, "schema_replace_objectclasses:"
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "schema_replace_objectclasses:"
 					" new object class %s (OID %s)\n", 
 					newocp->oc_name, newocp->oc_oid, 0 );
 			addocp = newocp;
@@ -3382,7 +3382,7 @@ read_oc_ldif ( const char *input, struct objclass **oc, char *errorbuf,
 	
 	schema_create_errormsg( errorbuf, errorbufsize, schema_errprefix_oc, NULL,
 			"One or more values are required for the objectClasses attribute" );
-	LDAPDebug ( LDAP_DEBUG_ANY, "NULL args passed to read_oc_ldif\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "NULL args passed to read_oc_ldif\n",0,0,0);
 	return read_oc_ldif_return( LDAP_OPERATIONS_ERROR, pOcOid, psbOcName,
 			pOcSup, pOcDesc );
   }
@@ -3921,7 +3921,7 @@ read_at_ldif(const char *input, struct asyntaxinfo **asipp, char *errorbuf,
         asi_parent = attr_syntax_get_by_name(pSuperior, schema_flags);
         /* if we find no match then server won't start or add the attribute type */
         if (asi_parent == NULL) {
-            LDAPDebug (LDAP_DEBUG_PARSE,
+            LDAPDebug(LDAP_DEBUG_PARSE, LOG_DEBUG,
                 "Cannot find parent attribute type \"%s\"\n",pSuperior,
                 NULL,NULL);
             schema_create_errormsg( errorbuf, errorbufsize,
@@ -3936,7 +3936,7 @@ read_at_ldif(const char *input, struct asyntaxinfo **asipp, char *errorbuf,
             
             if (pso && (NULL == pSyntax)) {
                 pSyntax = slapi_ch_strdup(pso);
-                LDAPDebug (LDAP_DEBUG_TRACE,
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                     "Inheriting syntax %s from parent type %s\n",
                     pSyntax, pSuperior,NULL);
             } else if (NULL == pSyntax) {
@@ -4171,7 +4171,7 @@ parse_attr_str(const char *input, struct asyntaxinfo **asipp, char *errorbuf,
     if(input == NULL || '\0' == input[0]){
         schema_create_errormsg( errorbuf, errorbufsize, schema_errprefix_at, NULL,
             "One or more values are required for the attributeTypes attribute" );
-        LDAPDebug ( LDAP_DEBUG_ANY, "NULL args passed to parse_attr_str\n",0,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "NULL args passed to parse_attr_str\n",0,0,0);
         return invalid_syntax_error;
     }
     /*
@@ -4243,7 +4243,7 @@ parse_attr_str(const char *input, struct asyntaxinfo **asipp, char *errorbuf,
         asi_parent = attr_syntax_get_by_name(atype->at_sup_oid, schema_flags);
         /* if we find no match then server won't start or add the attribute type */
         if (asi_parent == NULL) {
-            LDAPDebug (LDAP_DEBUG_ANY, "Cannot find parent attribute type \"%s\"\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Cannot find parent attribute type \"%s\"\n",
                 atype->at_sup_oid, NULL, NULL);
             schema_create_errormsg( errorbuf, errorbufsize, schema_errprefix_at, first_attr_name,
                 "Missing parent attribute syntax OID");
@@ -4261,7 +4261,7 @@ parse_attr_str(const char *input, struct asyntaxinfo **asipp, char *errorbuf,
 
             if (pso && (NULL == atype->at_syntax_oid)) {
                 atype->at_syntax_oid = slapi_ch_strdup(pso);
-                LDAPDebug (LDAP_DEBUG_TRACE,
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                     "Inheriting syntax %s from parent type %s\n",
                     atype->at_syntax_oid, atype->at_sup_oid,NULL);
             } else if (NULL == atype->at_syntax_oid) {
@@ -4550,7 +4550,7 @@ parse_objclass_str ( const char *input, struct objclass **oc, char *errorbuf,
     if ( NULL == input || '\0' == input[0] ) {
         schema_create_errormsg( errorbuf, errorbufsize, schema_errprefix_oc, NULL,
             "One or more values are required for the objectClasses attribute" );
-        LDAPDebug ( LDAP_DEBUG_ANY, "NULL args passed to read_oc_ldif\n",0,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "NULL args passed to read_oc_ldif\n",0,0,0);
         return LDAP_OPERATIONS_ERROR;
     }
     /*
@@ -4795,7 +4795,7 @@ schema_check_oc_attrs ( struct objclass *poc,
 
 	if ( errorbuf == NULL || poc == NULL || poc->oc_name == NULL) {
 		/* error */
-		LDAPDebug (LDAP_DEBUG_PARSE,  
+		LDAPDebug(LDAP_DEBUG_PARSE, LOG_DEBUG,  
 				   "Null args passed to schema_check_oc_attrs\n",
 				   NULL, NULL, NULL);
 		return -1;
@@ -4929,7 +4929,7 @@ schema_check_oid( const char *name, const char *oid, PRBool isAttribute,
 
   if ( name == NULL || oid == NULL) {
 	/* this is bad */
-	LDAPDebug (LDAP_DEBUG_ANY, "NULL passed to schema_check_oid\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "NULL passed to schema_check_oid\n",0,0,0);
 	return 0;
   }
   
@@ -5062,7 +5062,7 @@ strip_oc_options( struct objclass *poc ) {
 
   for ( i = 0; poc->oc_allowed && poc->oc_allowed[i]; i++ ) {
 	if ( (mod = stripOption( poc->oc_allowed[i] )) != NULL ){
-	  LDAPDebug (LDAP_DEBUG_ANY, 
+	  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				 "Removed option \"%s\" from allowed attribute type "
 				 "\"%s\" in object class \"%s\".\n",
 				 mod, poc->oc_allowed[i], poc->oc_name );
@@ -5072,7 +5072,7 @@ strip_oc_options( struct objclass *poc ) {
     
   for ( i = 0; poc->oc_required && poc->oc_required[i]; i++ ) {
 	if ( (mod = stripOption( poc->oc_required[i] )) != NULL ){
-	  LDAPDebug (LDAP_DEBUG_ANY, 
+	  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				 "Removed option \"%s\" from required attribute type "
 				 "\"%s\" in object class \"%s\".\n",
 				 mod, poc->oc_required[i], poc->oc_name );
@@ -5476,7 +5476,7 @@ parse_xstring_list( const char *schema_value, const char *name, size_t namelen,
 
 /* for debugging
 if ( xvals == NULL || xvals[0] == NULL ) {
-    LDAPDebug( LDAP_DEBUG_ANY, "no xstring values for xstring (%s) in (%s)\n", name, schema_value, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "no xstring values for xstring (%s) in (%s)\n", name, schema_value, 0 );
 }
 */
 
@@ -6040,7 +6040,7 @@ va_expand_one_oc( const char *dn, const Slapi_Attr *a, Slapi_ValueSet *vs, const
   
   	slapi_valueset_add_attr_value_ext(a, vs, slapi_value_new_string(sup_oc->oc_name), SLAPI_VALUE_FLAG_PASSIN);
 
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			"Entry \"%s\": added missing objectClass value %s\n",
 			dn, sup_oc->oc_name, 0 );
 }
diff --git a/ldap/servers/slapd/schemaparse.c b/ldap/servers/slapd/schemaparse.c
index 276e0d0..b0968ea 100644
--- a/ldap/servers/slapd/schemaparse.c
+++ b/ldap/servers/slapd/schemaparse.c
@@ -206,7 +206,7 @@ normalize_oc( void )
 	oc_lock_write();
 
 	for ( oc = g_get_global_oc_nolock(); oc != NULL; oc = oc->oc_next ) {
-	  LDAPDebug (LDAP_DEBUG_PARSE, 
+	  LDAPDebug(LDAP_DEBUG_PARSE, LOG_DEBUG, 
 				 "normalize_oc: normalizing '%s'\n", oc->oc_name, 0, 0);
 	  /* required attributes */
 	  normalize_list( oc->oc_required );
@@ -226,7 +226,7 @@ normalize_oc_nolock( void )
 	struct objclass	*oc;
 
 	for ( oc = g_get_global_oc_nolock(); oc != NULL; oc = oc->oc_next ) {
-	  LDAPDebug (LDAP_DEBUG_PARSE, 
+	  LDAPDebug(LDAP_DEBUG_PARSE, LOG_DEBUG, 
 				 "normalize_oc: normalizing '%s'\n", oc->oc_name, 0, 0);
 	  /* required attributes */
 	  normalize_list( oc->oc_required );
diff --git a/ldap/servers/slapd/search.c b/ldap/servers/slapd/search.c
index aca335e..afd5d09 100644
--- a/ldap/servers/slapd/search.c
+++ b/ldap/servers/slapd/search.c
@@ -55,7 +55,7 @@ do_search( Slapi_PBlock *pb )
 	int minssf_exclude_rootdse = 0;
 	int filter_normalized = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_search\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_search\n", 0, 0, 0 );
 
 	slapi_pblock_get( pb, SLAPI_OPERATION, &operation);
 	ber = operation->o_ber;
diff --git a/ldap/servers/slapd/snmp_collator.c b/ldap/servers/slapd/snmp_collator.c
index 1111a0e..98cae86 100644
--- a/ldap/servers/slapd/snmp_collator.c
+++ b/ldap/servers/slapd/snmp_collator.c
@@ -457,20 +457,20 @@ snmp_collator_create_semaphore(void)
             /* It appears that we didn't exit cleanly last time and left the semaphore
              * around.  Recreate it since we don't know what state it is in. */
             if (sem_unlink(stats_sem_name) != 0) {
-                LDAPDebug( LDAP_DEBUG_ANY, "Failed to delete old semaphore for stats file (%s). "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to delete old semaphore for stats file (%s). "
                           "Error %d (%s).\n", szStatsFile, errno, slapd_system_strerror(errno) );
                 exit(1);
             }
 
             if ((stats_sem = sem_open(stats_sem_name, O_CREAT | O_EXCL, SLAPD_DEFAULT_FILE_MODE, 1)) == SEM_FAILED) {
                 /* No dice */
-                LDAPDebug( LDAP_DEBUG_ANY, "Failed to create semaphore for stats file (%s). Error %d (%s).\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to create semaphore for stats file (%s). Error %d (%s).\n",
                          szStatsFile, errno, slapd_system_strerror(errno) );
                 exit(1);
             }
         } else {
             /* Some other problem occurred creating the semaphore. */
-            LDAPDebug( LDAP_DEBUG_ANY, "Failed to create semaphore for stats file (%s). Error %d.(%s)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to create semaphore for stats file (%s). Error %d.(%s)\n",
                      szStatsFile, errno, slapd_system_strerror(errno) );
             exit(1);
         }
diff --git a/ldap/servers/slapd/ssl.c b/ldap/servers/slapd/ssl.c
index ca19983..2b35c5e 100644
--- a/ldap/servers/slapd/ssl.c
+++ b/ldap/servers/slapd/ssl.c
@@ -267,7 +267,7 @@ slapd_SSL_report(int degree, char *fmt, va_list args)
 {
     char buf[2048];
     PR_vsnprintf( buf, sizeof(buf), fmt, args );
-    LDAPDebug( LDAP_DEBUG_ANY, "SSL %s: %s\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "SSL %s: %s\n",
 	       (degree == LOG_FAILURE) ? "failure" : "alert",
 	       buf, 0 );
 }
@@ -1260,15 +1260,15 @@ slapd_nss_init(int init_ssl, int config_available)
 		keydb_file_name = slapi_ch_smprintf("%s/key3.db", certdir);
 		secmoddb_file_name = slapi_ch_smprintf("%s/secmod.db", certdir);
 		if(chmod(certdb_file_name, S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP )){
-			LDAPDebug(LDAP_DEBUG_ANY, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
 					certdb_file_name, errno, slapd_system_strerror(errno));
 		}
 		if(chmod(keydb_file_name, S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP )){
-			LDAPDebug(LDAP_DEBUG_ANY, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
 					keydb_file_name, errno, slapd_system_strerror(errno));
 		}
 		if(chmod(secmoddb_file_name, S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP )){
-			LDAPDebug(LDAP_DEBUG_ANY, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapd_nss_init: chmod failed for file %s error (%d) %s.\n",
 					secmoddb_file_name, errno, slapd_system_strerror(errno));
 		}
 	}
@@ -2168,7 +2168,7 @@ slapd_ssl_init2(PRFileDesc **fd, int startTLS)
 #ifdef SSL_REQUIRE_CERTIFICATE    /* new feature */
             if ((err = SSL_OptionSet (pr_sock, SSL_REQUIRE_CERTIFICATE, PR_FALSE)) < 0) {
                 PRErrorCode prerr = PR_GetError();
-                LDAPDebug (LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                  "SSL_OptionSet(SSL_REQUIRE_CERTIFICATE,PR_FALSE) %d "
                  SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                  err, prerr, slapd_pr_strerror(prerr));
@@ -2178,7 +2178,7 @@ slapd_ssl_init2(PRFileDesc **fd, int startTLS)
           case SLAPD_SSLCLIENTAUTH_REQUIRED:
             if ((err = SSL_OptionSet (pr_sock, SSL_REQUEST_CERTIFICATE, PR_TRUE)) < 0) {
                 PRErrorCode prerr = PR_GetError();
-                LDAPDebug (LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                  "SSL_OptionSet(SSL_REQUEST_CERTIFICATE,PR_TRUE) %d "
                  SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                  err, prerr, slapd_pr_strerror(prerr));
@@ -2454,7 +2454,7 @@ slapd_SSL_client_auth (LDAP* ld)
     slapi_ch_free_string(&pw);
     slapi_ch_free_string(&finalpersonality);
 
-    LDAPDebug (LDAP_DEBUG_TRACE, "slapd_SSL_client_auth() %i\n", rc, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "slapd_SSL_client_auth() %i\n", rc, 0, 0);
     return rc;
 }
 
